Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 172578 - request that ProfilingDemo tell the run time when it asks to press enter
request that ProfilingDemo tell the run time when it asks to press enter
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Profile
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Alexey Vladykin
issues@cnd
: NETFIX, SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-18 15:52 UTC by Susan Morgan
Modified: 2009-11-27 04:28 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
my first work :) Is it good? (4.88 KB, patch)
2009-10-25 18:01 UTC, exlerok
Details | Diff
my first work :) Is it good? (4.88 KB, patch)
2009-10-25 18:03 UTC, exlerok
Details | Diff
My first work. Is it good? :) (4.88 KB, patch)
2009-10-25 18:04 UTC, exlerok
Details | Diff
OK, i understand...and have already done :) it's bad that i didn't guess at once :( it's simple...need more experience!!! :) (2.75 KB, patch)
2009-10-27 19:21 UTC, exlerok
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Susan Morgan 2009-09-18 15:52:27 UTC
If the ProfilingDemo program could output the number of seconds in the run time whenever it says "Press Enter to start"
it would make it much easier to map what the program is doing to what the profiling tools are showing at a given point
in time.
Comment 1 exlerok 2009-10-25 18:01:09 UTC
Created attachment 90063 [details]
my first work :) Is it good?
Comment 2 exlerok 2009-10-25 18:03:22 UTC
Created attachment 90064 [details]
my first work :) Is it good?
Comment 3 exlerok 2009-10-25 18:04:26 UTC
Created attachment 90065 [details]
My first work. Is it good? :)
Comment 4 Alexey Vladykin 2009-10-27 17:59:23 UTC
Roman, thank you for the patch! I have some suggestions:
1. No need for globalcurrtime. A local variable can be declared and used where appropriate instead of this global one.
2. Printing of current run time should be part of PAUSE() macro to guarantee that every pause prints current time.
3. It is not necessary to print time when program ends, so please remove "Finish time is ..." from mutex.c. Also you
should not assume that program ends after mutex_demo().
Comment 5 exlerok 2009-10-27 19:21:03 UTC
Created attachment 90150 [details]
OK, i understand...and have already done :) it's bad that i didn't guess at once :(  it's simple...need more experience!!! :)
Comment 6 Jiri Kovalsky 2009-10-28 11:29:40 UTC
This will be tracked as a NetFIX [1] issue from now on. Thanks Roman for the contribution! Alexey, would you be so kind
and do the review and integration of the second patch?

[1] http://wiki.netbeans.org/NetFIX
Comment 7 Alexey Vladykin 2009-11-09 08:08:49 UTC
I'm going to apply the patch now.
Comment 8 Alexey Vladykin 2009-11-09 09:36:00 UTC
Fixed in http://hg.netbeans.org/cnd-main/rev/d0c17efda703
Comment 9 Jiri Kovalsky 2009-11-27 04:28:22 UTC
Thank you very much Alexey for integration and especially Roman for your patch!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo